PYBIK(6)

NAME
Pybik - 3D Rubik's cube game

SYNOPSIS
pybik [options]

DESCRIPTION
Pybik is an interactive, graphical, single player puzzle about the cube invented by Erno Rubik. Besides the cube the program can handle towers and bricks (non cubic puzzles). Pybik also has solvers, pretty patterns and a collection of various moves. The cube can be manipulated with the mouse or keyboard. You can change the colors or images on the faces of the cube.

Pybik can be fully controlled and configured via the graphical user interface. The options listed here are intended primarily for testing and debugging.

OPTIONS

-h, --help
    Show help message and exit

--version
    Show version number and exit

--config-file=C
    Specify the configuration file to use instead of the default location

--defaultconfig
    Print default settings to stdout and exit

--shader=S
    Use a different shader

--list-tests
    List tests

--test
    Run all tests

--test=T
    Run test T, can be used multiple times

--test-args=T
    Comma-separated list of test arguments: write-y write-yes write-n write-no write-e write-error log-file log-widgets

--debug=D
    D is a comma-separated list of debug flags: alg draw fps func inner keys msg nobevel nofshader nolabel noshader novshader pick purepython rand rotate thread vfps

Qt-Options, for a full list refer to the Qt-Reference, but not all options make sense for this application:

-style S
    sets the application GUI style. Possible values are motif, windows, and platinum.

-widgetcount
    prints debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time

-reverse
    sets the application's layout direction to left-to-right

-graphicssystem G
    sets the backend to be used for on-screen widgets and pixmaps. Available options are raster and opengl.

COPYRIGHT
Copyright © 2009-2013, B. Clausius

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.